oasis.names.tc.saml._1_0.protocol

## Class ObjectFactory

- java.lang.Object
- - oasis.names.tc.saml._1_0.protocol.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._1_0.protocol package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.protocol

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<String>` | `createAssertionArtifact(String value)` Create an instance of `JAXBElement``<``String``>`
    `AttributeQuery` | `createAttributeQuery()` Create an instance of `AttributeQuery`
    `AuthenticationQuery` | `createAuthenticationQuery()` Create an instance of `AuthenticationQuery`
    `AuthorizationDecisionQuery` | `createAuthorizationDecisionQuery()` Create an instance of `AuthorizationDecisionQuery`
    `JAXBElement<QueryAbstractType>` | `createQuery(QueryAbstractType value)` Create an instance of `JAXBElement``<``QueryAbstractType``>`
    `Request` | `createRequest()` Create an instance of `Request`
    `JAXBElement<QName>` | `createRespondWith(QName value)` Create an instance of `JAXBElement``<``QName``>`
    `Response` | `createResponse()` Create an instance of `Response`
    `Status` | `createStatus()` Create an instance of `Status`
    `StatusCode` | `createStatusCode()` Create an instance of `StatusCode`
    `StatusDetail` | `createStatusDetail()` Create an instance of `StatusDetail`
    `JAXBElement<String>` | `createStatusMessage(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<SubjectQueryAbstractType>` | `createSubjectQuery(SubjectQueryAbstractType value)` Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.protocol

  - ### Method Detail

    - #### createRequest

          public Request createRequest()

      Create an instance of `Request`

    - #### createAuthorizationDecisionQuery

          public AuthorizationDecisionQuery createAuthorizationDecisionQuery()

      Create an instance of `AuthorizationDecisionQuery`

    - #### createAttributeQuery

          public AttributeQuery createAttributeQuery()

      Create an instance of `AttributeQuery`

    - #### createAuthenticationQuery

          public AuthenticationQuery createAuthenticationQuery()

      Create an instance of `AuthenticationQuery`

    - #### createResponse

          public Response createResponse()

      Create an instance of `Response`

    - #### createStatus

          public Status createStatus()

      Create an instance of `Status`

    - #### createStatusCode

          public StatusCode createStatusCode()

      Create an instance of `StatusCode`

    - #### createStatusDetail

          public StatusDetail createStatusDetail()

      Create an instance of `StatusDetail`

    - #### createRespondWith

          public JAXBElement<QName> createRespondWith(QName value)

      Create an instance of `JAXBElement``<``QName``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``QName``>`

    - #### createAssertionArtifact

          public JAXBElement<String> createAssertionArtifact(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createSubjectQuery

          public JAXBElement<SubjectQueryAbstractType> createSubjectQuery(SubjectQueryAbstractType value)

      Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SubjectQueryAbstractType``>`

    - #### createQuery

          public JAXBElement<QueryAbstractType> createQuery(QueryAbstractType value)

      Create an instance of `JAXBElement``<``QueryAbstractType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``QueryAbstractType``>`

    - #### createStatusMessage

          public JAXBElement<String> createStatusMessage(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.